alsaloop: add libsamplerate-dev build-dep

Bug #868734 reported by Ralf Heiringhoff on 2011-10-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-utils (Ubuntu)
Low
Daniel T Chen
Oneiric
Low
Daniel T Chen
Precise
Undecided
Unassigned

Bug Description

[Impact statement]
alsaloop, a command-line utility shipped in Oneiric's alsa-utils binary package, does not work because of a missing build-dependency on libsamplerate-dev.

[Development fix] / [Stable fix]
Corrected in r95 of http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-utils/ubuntu.oneiric/revision/95 and r2558 of http://anonscm.debian.org/viewvc/pkg-alsa?view=revision&revision=2558.

[Test case] (from the original defect report)
----------example from the manpage-----------------
alsaloop -C hw:0,0 -P hw:0,0 -t 50000
No libsamplerate support.
----------example from the manpage-----------------

[Regression potential]
Low - the additional build-dependency only affects (enables) the alsaloop utility.

[Original defect report]
Please add libsamplerate-dev to the build-deps of alsa-utils to make alsaloop actually work

----------example from the manpage-----------------
alsaloop -C hw:0,0 -P hw:0,0 -t 50000
No libsamplerate support.
----------example from the manpage-----------------

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: alsa-utils 1.0.24.2-0ubuntu8
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic-pae 3.0.4
Uname: Linux 3.0.0-12-generic-pae i686
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu2
Architecture: i386
Date: Wed Oct 5 23:25:30 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: alsa-utils
UpgradeStatus: Upgraded to oneiric on 2011-10-04 (1 days ago)

Ralf Heiringhoff (frosty-geek) wrote :
Daniel T Chen (crimsun) on 2011-10-10
Changed in alsa-utils (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
importance: Undecided → Low
status: New → Triaged
Daniel T Chen (crimsun) on 2011-10-10
description: updated

Hello Ralf, or anyone else affected,

Accepted alsa-utils into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in alsa-utils (Ubuntu Oneiric):
status: Triaged → Fix Committed
tags: added: verification-needed
Ralf Heiringhoff (frosty-geek) wrote :

Hi Martin,

I've just upgraded to alsa-utils 1.0.24.2-0ubuntu8.1 from oneiric-proposed and alsaloop works as expected.

The Bug has been fixed.

Regards,
Ralf

tags: added: verification-done
removed: verification-needed

I also verify that the -proposed package resolves the issue.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-utils - 1.0.24.2-0ubuntu8.1

---------------
alsa-utils (1.0.24.2-0ubuntu8.1) oneiric-proposed; urgency=low

  * debian/control: Add libsamplerate-dev build-dependency so alsaloop
    works. (LP: #868734)
 -- Daniel T Chen <email address hidden> Mon, 10 Oct 2011 17:28:01 -0400

Changed in alsa-utils (Ubuntu Precise):
status: New → Fix Released
Changed in alsa-utils (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers